#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Foreign Function Interface library
Summary(pl.UTF-8):	Biblioteka Foreign Function Interface
Name:		libffi
Version:	3.2.1
Release:	3
Epoch:		7
License:	MIT-like
Group:		Libraries
Source0:	ftp://sourceware.org/pub/libffi/%{name}-%{version}.tar.gz
# Source0-md5:	83b89587607e3eb65c70d361f13bab43
Patch0:		%{name}-info.patch
Patch1:		%{name}-libdir.patch
URL:		http://sources.redhat.com/libffi/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libltdl-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libffi library provides a portable, high level programming
interface to various calling conventions. This allows a programmer to
call any function specified by a call interface description at
run-time.

Ffi stands for Foreign Function Interface. A foreign function
interface is the popular name for the interface that allows code
written in one language to call code written in another language. The
libffi library really only provides the lowest, machine dependent
layer of a fully featured foreign function interface. A layer must
exist above libffi that handles type conversions for values passed
between the two languages.

%description -l pl.UTF-8
Biblioteka libffi dostarcza przenośny, wysokopoziomowy interfejs do
różnych konwencji wywołań funkcji. Pozwala to programiście wywołać
dowolną funkcję podaną przez opis interfejsu wywołania w czasie
działania programu.

FFI to skrót od Foreign Function Interface, czyli interfejsu do obcych
funkcji. Jest to potoczna nazwa interfejsu pozwalającego programowi
napisanemu w jednym języku wywoływać kod napisany w innym języku.
Biblioteka libffi daje tylko najniższą, zależną od maszyny warstwę
pełnego interfejsu. Potrzebne są wyższe warstwy do obsługi konwersji
typów dla wartości przekazywanych pomiędzy różnymi językami.

%package devel
Summary:	libffi development package
Summary(pl.UTF-8):	libffi - część dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libffi.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki libffi.

%package static
Summary:	libffi static library
Summary(pl.UTF-8):	Statyczna biblioteka libffi
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static version of libffi.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libffi.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc ChangeLog* LICENSE README
%attr(755,root,root) %{_libdir}/libffi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libffi.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libffi.so
%{_libdir}/libffi.la
%{_libdir}/libffi-%{version}
%{_pkgconfigdir}/libffi.pc
%{_mandir}/man3/ffi*.3*
%{_infodir}/libffi.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libffi.a
%endif
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libffi.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5bcbf13
- x32 rebuild
- release 3 (by relup.sh)

* Sat Jan 03 2015 Jan Rękorajski <baggins@pld-linux.org> 326fe4a
- updated BRs

* Tue Dec 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 7863a1f
- added libdir patch (sanitize install dir stored in libffi.la on multilib archs)
- release 2

* Fri Nov 14 2014 Jakub Bogusz <qboosh@pld-linux.org> d210c9f
- updated to 3.2.1
- removed obsolete pc patch

* Sat Jul 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 4310be1
- added pc patch (fixes libs path in libffi.pc); release 2

* Sun May 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 33f1669
- updated to 3.1; could now replace libffi from gcc.spec

* Fri Mar 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 3b38979
- up to 3.0.13

* Fri Feb 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 5b1583c
- up to 3.0.12

* Fri Apr 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 300fca2
- updated to 3.0.11 (note: new soname)

* Tue Oct 18 2011 lisu <lisu@pld-linux.org> 65e9775
- drop obsoleted rm

* Fri Sep 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 7e04a4a
- fixed aclocal call

* Thu Sep 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 8a23aa4
- updated to 3.0.10 (but gcc version is still used distro-wide though - so release 1.1 here)

* Wed May 12 2010 sparky <sparky@pld-linux.org> 16c3521
- BR: texinfo

* Thu Mar 25 2010 Jakub Bogusz <qboosh@pld-linux.org> da5d791
- updated to 3.0.9

* Fri Oct 02 2009 Jakub Bogusz <qboosh@pld-linux.org> 18183a5
- added m4 patch

* Fri Oct 02 2009 Jakub Bogusz <qboosh@pld-linux.org> a25323e
- fix build with recent autoconf/m4

* Tue Jun 09 2009 amateja <amateja@pld-linux.org> 75cd288
- updated to 3.0.8

* Sun Mar 22 2009 Elan Ruusamäe <glen@pld-linux.org> cb1e798
- check-files cleanup

* Wed Aug 20 2008 Jakub Bogusz <qboosh@pld-linux.org> e453163
- updated to 3.0.6

* Wed May 28 2008 Jakub Bogusz <qboosh@pld-linux.org> 73a73a2
- updated to 3.0.7, separate from gcc once again
- epoch 7
- removed obsolete pld,acam patches, added info patch

